See the top rated post in this thread. Click here

Results 1 to 4 of 4

Thread: Clouding thickness variation

  1. #1
    I could stop if I wanted to jgratton's Avatar
    Join Date
    2002-07
    Location
    Calgary, Canada
    Posts
    397
    Login to Give a bone
    0

    Default Clouding thickness variation

    The following is being used here on all vanilla Autocad drawings. (We also use third party software on our piping drawing that has its own clouding routine but this is not a problem.)
    The problem is we can't seem to control the segment width of the cloud; it depends on the length between picks. We would like all our clouds to appear the same thickness when plotted. We plot everything to fit 11X17, but most of our drawings are actually 726X508 (mm)

    Code:
    ; CLouD.LSP < Great CLOUD Routine > Ed Gyulai 2002-03-20
    ; < based off an older routine that did not work well. >
    
    (defun C:CLD ()
      (setq clay (getvar "clayer"))
    
      (if (tblsearch "LAYER" "Clouds")
        (command "-layer"  "t"	 "Clouds"  "m"	     "Clouds"
    	     "c"       "1"	 "Clouds"  ""	     "-color"
    	     "bylayer"
    	    )
        (command "-layer" "m" "Clouds" "c" "1" "Clouds" "" "-color"
    	     "bylayer")
      )					;if
    
      (princ)
      (setvar "cmdecho" 0)
      (setq	p1   (getpoint "\n - Pick CLOUD start point: ")
    	p2   p1
    	dia1 (getdist p1 "\n - Show Next Point of Cloud ... ")
      )					;
      (setq w1 (* dia1 0.04))
      (prompt "\n - Freehand Cloud, then return to start ....")
      (command "pline" p1 "w" w1 w1 "a" "a" "125")
      (while p1
        (setq p3 (cadr (grread 1)))
        (if	(> (distance p1 p3) dia1)
          (progn
    	(command p3 "a" "125")
    	(setq p1 p3)
          )
        )
        (if	(> (distance p1 p3) (distance p2 p3))
          (progn
    	(command p2 "cl")
    	(setq p1 nil)
          )
        )
      )					;if;while
      (command "plinewid" "0")
      (command "-layer" "s" clay "")
      (princ
        "\n - Cloud Completed... <note: normal direction is counter-clockwise>"
      )
      (princ)
    );end
    ;(c:CLD)
    Last edited by Mike.Perry; 2004-11-05 at 10:30 PM. Reason: Code tags added

  2. #2
    All AUGI, all the time CAB2k's Avatar
    Join Date
    2016-01
    Location
    Brandon, Florida
    Posts
    687
    Login to Give a bone
    1

    Default Re: Clouding thickness variation

    Chek my Polyline to cloud routine
    http://forums.augi.com/showthread.ph...light=pl2cloud

    ;;; Command: PL2Cloud
    ;;; Dialog Box is displayed unless there is a problem
    ;;; Then the command line version is as follows
    ;;; Enter method to get polyline. [Pick / Draw / Options / Shadow] <Pick>:
    ;;; Keep the original polyline [Yes No] <No>:y
    ;;; Pick Polyline to cloud:
    ;;;
    ;;; Options: Command Line Version
    ;;; Pick - allows user to pick an existing poly line
    ;;; Draw - allows user to draw a new polyline
    ;;; Shadow - toggles the shadow effect on/off
    ;;; Options - Change Arc Angle, makes arcs fatter or thinner
    ;;; Change the chord length of the arcs

  3. #3
    AUGI Addict kennet.sjoberg's Avatar
    Join Date
    2002-05
    Posts
    1,707
    Login to Give a bone
    1

    Default Re: Clouding thickness variation

    Hi Janet

    replace the line :
    (setq w1 (* dia1 0.04))
    with
    (setq w1 0 )

    Happy Computing !

    kennet

    ps. nice little "self drawing" routine ; )

  4. #4
    I could stop if I wanted to jgratton's Avatar
    Join Date
    2002-07
    Location
    Calgary, Canada
    Posts
    397
    Login to Give a bone
    0

    Thumbs up Re: Clouding thickness variation

    Thanks for giving me the fix, Kennet. That did the trick!

Similar Threads

  1. clouding schedules
    By cliff collins in forum Revit Architecture - General
    Replies: 26
    Last Post: 2023-04-28, 12:14 PM
  2. clouding
    By Wish List System in forum Revit MEP - Wish List
    Replies: 0
    Last Post: 2012-11-14, 03:12 PM
  3. Clouding Legends? (Revisions)
    By goodtastingsteak in forum Revit Architecture - General
    Replies: 2
    Last Post: 2010-07-24, 09:03 PM
  4. clouding schedules
    By cliff collins in forum Revit Architecture - Wish List
    Replies: 1
    Last Post: 2007-06-18, 08:43 PM
  5. Panning while clouding
    By bgarrett in forum AutoCAD Wish List
    Replies: 7
    Last Post: 2005-07-27, 04:33 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •